# 2026-05-11: Product Service - expand brand and labels in product responses

## Overview

Product responses can now be enriched with expanded brand and label data using the `expand` query parameter.

## Modified behavior

When requesting product data, you can now use:

* `expand=brand` to include a `brand` object expanded from `brandId`
* `expand=labels` to include a `labels` array expanded from `labelIds`
* multiple values can be combined, for example: `expand=template,parentVariant,brand,labels`

## Schema updates

The product response schemas were extended with:

* `brand` (expanded object)
* `labels` (expanded array)

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/2026/2026-05-11-product-service-expand-brand-labels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
